"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteTopicInput_1 = require("../shapes/DeleteTopicInput");
var DeleteTopicOutput_1 = require("../shapes/DeleteTopicOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var AuthorizationErrorException_1 = require("../shapes/AuthorizationErrorException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var StaleTagException_1 = require("../shapes/StaleTagException");
var TagPolicyException_1 = require("../shapes/TagPolicyException");
var ConcurrentAccessException_1 = require("../shapes/ConcurrentAccessException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteTopic = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteTopic",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteTopicInput_1.DeleteTopicInput
    },
    output: {
        shape: DeleteTopicOutput_1.DeleteTopicOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: AuthorizationErrorException_1.AuthorizationErrorException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: StaleTagException_1.StaleTagException
        },
        {
            shape: TagPolicyException_1.TagPolicyException
        },
        {
            shape: ConcurrentAccessException_1.ConcurrentAccessException
        }
    ]
};
//# sourceMappingURL=DeleteTopic.js.map