"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PublishInput_1 = require("../shapes/PublishInput");
var PublishOutput_1 = require("../shapes/PublishOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var EndpointDisabledException_1 = require("../shapes/EndpointDisabledException");
var PlatformApplicationDisabledException_1 = require("../shapes/PlatformApplicationDisabledException");
var AuthorizationErrorException_1 = require("../shapes/AuthorizationErrorException");
var KMSDisabledException_1 = require("../shapes/KMSDisabledException");
var KMSInvalidStateException_1 = require("../shapes/KMSInvalidStateException");
var KMSNotFoundException_1 = require("../shapes/KMSNotFoundException");
var KMSOptInRequired_1 = require("../shapes/KMSOptInRequired");
var KMSThrottlingException_1 = require("../shapes/KMSThrottlingException");
var KMSAccessDeniedException_1 = require("../shapes/KMSAccessDeniedException");
var InvalidSecurityException_1 = require("../shapes/InvalidSecurityException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.Publish = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "Publish",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PublishInput_1.PublishInput
    },
    output: {
        shape: PublishOutput_1.PublishOutput,
        resultWrapper: "PublishResult"
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: EndpointDisabledException_1.EndpointDisabledException
        },
        {
            shape: PlatformApplicationDisabledException_1.PlatformApplicationDisabledException
        },
        {
            shape: AuthorizationErrorException_1.AuthorizationErrorException
        },
        {
            shape: KMSDisabledException_1.KMSDisabledException
        },
        {
            shape: KMSInvalidStateException_1.KMSInvalidStateException
        },
        {
            shape: KMSNotFoundException_1.KMSNotFoundException
        },
        {
            shape: KMSOptInRequired_1.KMSOptInRequired
        },
        {
            shape: KMSThrottlingException_1.KMSThrottlingException
        },
        {
            shape: KMSAccessDeniedException_1.KMSAccessDeniedException
        },
        {
            shape: InvalidSecurityException_1.InvalidSecurityException
        }
    ]
};
//# sourceMappingURL=Publish.js.map