"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TagResourceInput_1 = require("../shapes/TagResourceInput");
var TagResourceOutput_1 = require("../shapes/TagResourceOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var TagLimitExceededException_1 = require("../shapes/TagLimitExceededException");
var StaleTagException_1 = require("../shapes/StaleTagException");
var TagPolicyException_1 = require("../shapes/TagPolicyException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var AuthorizationErrorException_1 = require("../shapes/AuthorizationErrorException");
var ConcurrentAccessException_1 = require("../shapes/ConcurrentAccessException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.TagResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "TagResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: TagResourceInput_1.TagResourceInput
    },
    output: {
        shape: TagResourceOutput_1.TagResourceOutput,
        resultWrapper: "TagResourceResult"
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: TagLimitExceededException_1.TagLimitExceededException
        },
        {
            shape: StaleTagException_1.StaleTagException
        },
        {
            shape: TagPolicyException_1.TagPolicyException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: AuthorizationErrorException_1.AuthorizationErrorException
        },
        {
            shape: ConcurrentAccessException_1.ConcurrentAccessException
        }
    ]
};
//# sourceMappingURL=TagResource.js.map